Modify

Opened 6 years ago

Closed 5 years ago

Last modified 4 years ago

#10111 closed defect (fixed)

backfire danube SX76X

Reported by: vpritiskovic@… Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: base system Version: Backfire 10.03.1 RC5
Keywords: lantiq danube sx763 Cc:

Description

When selecting from lateset backfire branch the lantiq/danube SX76X target and compiled the generated fw does not boot (wrong machine)

{{{ ROM VER: 1.0.3

U-Boot 2010.03 (Jul 25 2011 - 17:27:43)

Board: Danube/Twinpass/Vinax-VE V1.3, DDR Speed 166 MHz, CPU Speed 333 MHz
DRAM: 32 MB
Flash: 8 Net: lq_cpe_eth
Hit any key to stop autoboot: 0
## Booting kernel from Legacy Image at b0020000 ...

Image Name: MIPS OpenWrt Linux-2.6.32.33
Created: 2011-09-15 15:12:06 UTC
Image Type: MIPS Linux Kernel Image (lzma compressed)
Data Size: 859007 Bytes = 838.9 kB
Load Address: 80002000
Entry Point: 80002000
Verifying Checksum ... OK
Uncompressing Kernel Image ... OK

Starting kernel ...

Linux version 2.6.32.33 (spesa@spesa-R519) (gcc version 4.3.3 (GCC) ) #2 Thu Sep 15 17:12:02 CEST 2011
SoC: Danube rev1.3
bootconsole [early0] enabled
CPU revision is: 00019641 (MIPS 24Kc)
Determined physical RAM map:

memory: 02000000 @ 00000000 (usable)

Initrd not found or empty - disabling initrd
Zone PFN ranges:

Normal 0x00000000 -> 0x00002000

Movable zone start PFN for each node
early_node_map[1] active PFN ranges

0: 0x00000000 -> 0x00002000

Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
Kernel command line: console=ttyLTQ1,115200 rootfstype=squashfs,jffs2 machtype=G IGASX76X
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 16kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 16kB, 4-way, VIPT, no aliases, linesize 32 bytes
Writing ErrCtl register=0002cb68
Readback ErrCtl register=0002cb68
Memory: 29768k/32768k available (2081k kernel code, 3000k reserved, 367k data, 1 40k init, 0k highmem)
Hierarchical RCU implementation.
NR_IRQS:256
Calibrating delay loop... 221.69 BogoMIPS (lpj=443392)
Mount-cache hash table entries: 512
MIPS: no machine found for id: 'GIGASX76X', registered machines:

id name

Generic Generic Lantiq based board

EASY50712 EASY50712 Eval Board

ARV752DPW22 ARV752DPW22 - Arcor A803

ARV7518PW ARV7518PW - ASTORIA
ARV4525PW ARV4525PW - Speedport W502V
ARV452CPW ARV452CPW - Arcor A801
ARV4520PW ARV4520PW - Airties WAV-281, Arcor A800
ARV4518PW ARV4518PW - SMC7908A-ISP, Airties WAV-221
ARV4510PW ARV4510PW - Wippies Homebox

ARV3527P ARV3527P - Arcor Easybox 401

NET: Registered protocol family 16
MIPS: machine is Generic Lantiq based board
bio: create slab <bio-0> at 0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
NET: Registered protocol family 1
gptu: totally 6 16-bit timers/counters
gptu: misc_register on minor 63
gptu: succeeded to request irq 126
gptu: succeeded to request irq 127
gptu: succeeded to request irq 128
gptu: succeeded to request irq 129
gptu: succeeded to request irq 130
gptu: succeeded to request irq 131
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY) Š 2001-2006 Red Hat, Inc.
msgmni has been set to 58
io scheduler noop registered
io scheduler deadline registered (default)
ltq_asc.0: ttyLTQ0 at MMIO 0x1e100400 (irq = 104) is a ltq_asc
ltq_asc.1: ttyLTQ1 at MMIO 0x1e100c00 (irq = 112) is a ltq_asc
console [ttyLTQ1] enabled, bootconsole disabled
console [ttyLTQ1] enabled, bootconsole disabled
ltq_nor: error registering platform driver
ltq_etop: Error registering platfom driver!
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
All bugs added by David S. Miller <davem@…>
VFS: Cannot open root device "<NULL>" or unknown-block(0,0)
Please append a correct "root=" boot option; here are the available partitions:
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0) }}}


NOTE: trunk is working ok!

Attachments (0)

Change History (3)

comment:1 Changed 5 years ago by anonymous

PLEASE CLOSE

comment:2 Changed 5 years ago by jow

  • Resolution set to fixed
  • Status changed from new to closed

comment:3 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.